Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 320755 - sys-apps/portage - `ebuild ... test install' runs test phase twice
Summary: sys-apps/portage - `ebuild ... test install' runs test phase twice
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - External Interaction (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 335925
  Show dependency tree
 
Reported: 2010-05-20 18:03 UTC by Jeroen Roovers (RETIRED)
Modified: 2010-09-04 08:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2010-05-20 18:03:29 UTC
The Summary more or less speaks for itself. I've been working around the problem for a long time and it's still a minor annoyance, present in all versions.

Basically, if I ran `ebuild ... test install' I would expect two phases, namely src_test() and src_install(), not three. Apparently having test as argument triggers some internal will-do-some-testing mechanism that works precisely like `FEATURES=test ebuild ... install', because then src_test() is run as well.
Comment 2 Zac Medico gentoo-dev 2010-08-23 06:22:44 UTC
This is in 2.2_rc68, but I'll leave this bug open until it's in an unmasked version.
Comment 3 Zac Medico gentoo-dev 2010-09-04 08:31:37 UTC
This is fixed in 2.1.9.